id: wordpress-mailpoet

info:
  name: MailPoet – Newsletters, Email Marketing, and Automation Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/mailpoet/
  metadata:
    plugin_namespace: mailpoet
    wpscan: https://wpscan.com/plugin/mailpoet
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/mailpoet/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/mailpoet.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a00463044022061910786a2442433561ae1980baf9bd5c8b15a53506799c32f5877406fa38e4f02203f7d84626e3afa4d55faaedaecbb7e0f45c7baf8fdd21cfe5e76059955fe108c:922c64590222798bb761d5b6d8e72950